ICU 74.2 74.2

Data Structures | Namespaces
dtitvfmt.h File Reference

C++ API: Format and parse date interval in a language-independent manner. More...

`#include "unicode/utypes.h"`
`#include "unicode/ucal.h"`
`#include "unicode/smpdtfmt.h"`
`#include "unicode/dtintrv.h"`
`#include "unicode/dtitvinf.h"`
`#include "unicode/dtptngen.h"`
`#include "unicode/formattedvalue.h"`
`#include "unicode/udisplaycontext.h"`

Go to the source code of this file.

## Data Structures
class | icu::FormattedDateInterval
| An immutable class containing the result of a date interval formatting operation. More...
class | icu::DateIntervalFormat
| DateIntervalFormat is a class for formatting and parsing date intervals in a language-independent manner. More...

## Namespaces
namespace | icu
| File coll.h.

## Detailed Description

C++ API: Format and parse date interval in a language-independent manner.

Definition in file dtitvfmt.h.